<?php

/**
 * @file
 * Extension file for Parsedown library.
 */

// This file is generated by Composer.
e107_require_once(e_PLUGIN . 'simplemde/vendor/autoload.php');


/**
 * Class e107Parsedown.
 */
class e107Parsedown extends Parsedown
{

	/**
	 * Constructor.
	 */
	function __construct()
	{

	}

	/**
	 * Add target="_blank" attribute for link elements.
	 *
	 * @param $Excerpt
	 * @return array|void
	 */
	protected function inlineLink($Excerpt)
	{
		$Excerpt = parent::inlineLink($Excerpt);

		if(isset($Excerpt['element']['attributes']['href']))
		{
			$Excerpt['element']['attributes']['target'] = '_blank';
		}

		return $Excerpt;
	}

	/**
	 * Parse Image URLs with $tp->thumbUrl() to get SEF URLs.
	 *
	 * @param $Excerpt
	 * @return array|void
	 */
	protected function inlineImage($Excerpt)
	{
		$Inline = parent::inlineImage($Excerpt);

		if(empty($Inline['element']['attributes']['src']))
		{
			return $Inline;
		}

		$tp = e107::getParser();

		$Inline['element']['attributes']['src'] = $tp->thumbUrl($Inline['element']['attributes']['src']);

		return $Inline;
	}

}
